package com.engine.salary.service;

import com.engine.salary.entity.datacollection.po.VariableArchiveItemPO;

import java.util.List;

/**
 * @author Harryxzy
 * @ClassName VariableArchiveItemService
 * @date 2024/08/07 9:29
 * @description 浮动薪资档案明细值
 */
public interface VariableArchiveItemService {

    List<VariableArchiveItemPO> listAll();
    /**
     * 根据浮动薪资档案id获取
     *
     * @param variableArchiveIds
     * @return
     */
    List<VariableArchiveItemPO> listByVariableArchiveIds(List<Long> variableArchiveIds);

    /**
     * 查询浮动薪酬档案中已使用的浮动薪资项目
     *
     * @return
     */
    List<Long> listUsingItems();

    int batchInsert(List<VariableArchiveItemPO> variableArchiveItemList);

    void deleteByIds(List<Long> variableArchiveItemIds);

    void deleteByArchiveIds(List<Long> variableArchiveIds);
}
